Skip to main content
POST
Create a private mapping

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

company_id
integer
required

Unique identifier for a company

Body

application/json
attribute_id
integer

The target attribute's ID.

dataset_id
integer

The source dataset's ID.

mapping
object

Mapping definition for create/update requests. Dependencies are computed server-side and not provided by the client.

source
enum<string>

Optional source for the mapping. If not specified, defaults to company. Only company and rosetta_stone are allowed for user-created mappings.

Available options:
company,
rosetta_stone

Response

200 - application/json

Ok

id
string<uuid>
required

Unique identifier for a mapping.

Example:

"ea9dddd2-e3ee-40b5-b03e-c3cd37c8a6f0"

attribute_id
integer
required

The target attribute's ID.

created_at
string
required

ISO-8601 timestamp indicating when the mapping was created.

Example:

"2021-08-26T21:06:07.710357Z"

dataset_id
integer
required

The source dataset's ID.

mapping
object
required
status
enum<string>
required

The status of the mapping.

  • active - Active mappings can be used
  • archived - Archived/Deleted mappings - mapping no longer in use
  • pending - Pending mappings need to be accepted before they can be used
Available options:
active,
archived,
pending
updated_at
string
required

ISO-8601 timestamp indicating when the mapping was last updated.

Example:

"2021-08-26T21:06:07.710357Z"

created_by
integer<int64>
required

Unique id from a user who created it.

Example:

20

updated_by
integer<int64>
required

Unique id from a user who updated it.

Example:

20

scope
enum<string>
required

The scope of the mapping.

  • global - Mappings available to all
  • private - Company private mappings
Available options:
global,
private
source
enum<string>
required

The source of the mapping.

  • company - Company private mapping
  • admin - Admin created/promoted mapping
  • system - System (Automated/ML) mappings
  • lineage - Lineage-derived mappings (editable without admin)
  • rosetta_stone - Rosetta Stone mappings (editable without admin)
Available options:
company,
admin,
system,
lineage,
rosetta_stone
company_id
integer<int64>

The id of an existing company

Example:

345

derived_from
string<uuid>

Unique identifier for a mapping.

Example:

"ea9dddd2-e3ee-40b5-b03e-c3cd37c8a6f0"